%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This is a example for the calculation of the flux distribution by Genetic%
%Modified of Flux (GMF)                                                      % 
%                                                                         %
%Corresponding author: Prof. Hiroyuki Kurata                              %
%kurata@bio.kyutech.ac.jp                                                 %
%Kyushu Institute of Technology, Iizuka, Fukuoka, Japan                   %
%2008.09                                                                  %  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function ecf1(em,emcs,ni,rge,sflux)
% em is the elementary mode matrix; reactions*EMs
% emcs is elementary mode coefficients vector; EMs*1
% ni is the No. of substrate uptake reaction
% rge is the relative gene expression of reactions for mutant versus wild
% type; reactions*1
% sflux is the flux of substrate uptake

[a1,a2]=size(em);
% a1 is the number of reactions; a2 is the number of elementary modes

pls=ones(a2,1); % pls is for the power law equation of enzyme activity
plambta=ones(a2,1); 
for j=1:a2
    for i=1:a1
        if em(i,j)~=0.0
        pls(j,1)=rge(i,1)*pls(j,1);
        end
    end
    plambta(j,1)=pls(j,1)*emcs(j,1);
end
gama=sflux/(em(ni,:)*plambta);
emcsmutant=plambta*gama;
fluxcalu=em*emcsmutant;

disp('The flux distribution of mutant is:')
disp(fluxcalu)
save ecfflux.mat fluxcalu